footer {
    padding: 100px 40px 40px;
    background: #0e092b;
    color: #fff;
    text-align: center;
    margin-top: -100px;

    @media (max-width: 600px) {
        padding: 40px;
        margin-top: 0;
    }

    h2 {
        .top {
            font-family: "Avenir", sans-serif;
            font-size: 57px;

            @media (max-width: 675px) {
                font-size: 8vw;
            }

            @media (max-width: 460px) {
                font-size: 26px;
            }
        }

        .bottom {
            font-size: 100px;

            @media (max-width: 652px) {
                font-size: 14vw;
            }

            @media (max-width: 400px) {
                font-size: 56px;
            }
        }
    }

    p {
        font-size: 15px;
        max-width: 550px;
        margin: auto;
    }

    #form_message {
        margin: 40px auto 10px;
        font-size: 20px;
    }

    form {
        display: flex;
        flex-flow: column nowrap;
        justify-content: flex-start;
        align-items: stretch;
        max-width: 260px;
        margin: 0 auto;

        &.hide {
            animation: fade 400ms forwards;
            overflow: hidden;
        }
    }

    input {
        margin: 0 0 15px;
        background: transparent;
        border: 1px solid #fff;
        color: #fff;
        padding: 7px 10px;
        box-shadow: none;
        transition: border-color 400ms, background-color 400ms;

        &:focus {
            border-color: #d6ff00;
        }
    }

    input[type="checkbox"] {
        margin-right: 10px;
    }

    input[type="submit"] {
        width: 100%;
        background: #d6ff00;
        color: #0e092b;
        padding: 10px;
        margin: 0;
        cursor: pointer;
        border: 0;

        &:hover {
            background: #a8c800;
        }

        &:active {
            background: #d6ff00;
        }
    }

    .bottom {
        position: relative;
    }

    #spinner {
        position: absolute;
        top: 0;
        right: 0;
        width: 50px;
        height: 100%;
        transform: translateX(100%);
        visibility: hidden;

        .lds-dual-ring {
            height: 100%;
            display: flex;
            justify-content: center;
            align-items: center;
        }

        .lds-dual-ring:after {
            content: " ";
            display: block;
            width: 30px;
            height: 30px;
            border-radius: 50%;
            border: 5px solid #fff;
            border-color: #fff transparent #fff transparent;
            animation: lds-dual-ring 1.2s linear infinite;

            box-sizing: border-box;
        }

        @keyframes lds-dual-ring {
            0% {
                transform: rotate(0deg);
            }

            100% {
                transform: rotate(360deg);
            }
        }
    }

    .loading #spinner {
        visibility: visible;
    }

    .logo {
        margin: 60px 0;
        max-width: 264px;
    }

    .info {
        .title {
            font-weight: bold;
        }
    }
}

@keyframes fade {
    0% {
        visibility: visible;
        opacity: 1;
        max-height: 170px;
    }

    99% {
        visibility: visible;
        opacity: 0;
        max-height: 0;
    }

    100% {
        visibility: hidden;
        opacity: 0;
        max-height: 0;
    }
}